/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Mon Feb 25 16:32:59 2002 by Jeff Dalton
 * Copyright: (c) 2002, AIAI, University of Edinburgh
 */

package isample;

import javax.swing.*;

import ix.itest.*;
import ix.icore.*;
import ix.util.*;

public class IsampleTest extends Itest {

    public IsampleTest() {
	super("I-Test");
    }

    /**
     * Main program.
     */
    public static void main(String[] argv) {

        Util.printGreeting("I-Test Example");

        new IsampleTest().mainStartup(argv);

    }

    /**
     * Command-line argument processing used by all versions of I-Test.
     *
     * @see ix.icore.IXAgent#processCommandLineArguments()
     */
    protected void processCommandLineArguments() {
        super.processCommandLineArguments();
    }

    /**
     * Test Menu Entries
     */
    protected void addTests() {

        /* Any inherited tests */

        super.addTests();

        addIssueTest("Supervisor", Priority.HIGH, "consider example");
        addIssueTest("Supervisor", Priority.LOW, "note example");
        addIssueTest("Operator", Priority.NORMAL,
                     "move package-1 location-1 location-2");

    }

}


